Bug 28147

Summary: Pass itemnumber when writing off a single debit
Product: Koha Reporter: Andrew Fuerste-Henry <andrew>
Component: Fines and feesAssignee: Nick Clemens <nick>
Status: RESOLVED FIXED QA Contact: Martin Renvoize <martin.renvoize>
Severity: normal    
Priority: P5 - low CC: fridolin.somers, martin.renvoize, nick, victor
Version: master   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.05,20.05.11
Attachments: Bug 28147: Pass itemnumber through to Account->pay
Bug 28147: Pass itemnumber through to Account->pay

Description Andrew Fuerste-Henry 2021-04-14 13:37:56 UTC
When writing off a single debit that contains an itemnumber, we should pass that itemnumber to the writeoff so it can be properly connected to the item in the accountlines description. It looks like we did so in 19.11 and stopped in 20.05.
Comment 1 Nick Clemens 2021-04-14 13:51:53 UTC
Created attachment 119578 [details] [review]
Bug 28147: Pass itemnumber through to Account->pay

Currently the itemnumber is not passed through when paying a single fine,
we should do that

To test:
1 - Create a manual debit and provide a barcode so the debit is linked to an item
2 - Go to the 'Make a payment' tab. Click the 'Writeoff' button on the individual line
3 - View the 'Transactions tab' The writeoff has no item details
4 - Apply patch
5 - Repeat 1 & 2
6 - View the transactions tab. The writeoff shows item details
7 - Confirm 'Writeoff amount' and 'Writeoff selected' still work and do not link to item
Comment 2 Martin Renvoize 2021-04-15 13:40:53 UTC
Created attachment 119627 [details] [review]
Bug 28147: Pass itemnumber through to Account->pay

Currently the itemnumber is not passed through when paying a single fine,
we should do that

To test:
1 - Create a manual debit and provide a barcode so the debit is linked to an item
2 - Go to the 'Make a payment' tab. Click the 'Writeoff' button on the individual line
3 - View the 'Transactions tab' The writeoff has no item details
4 - Apply patch
5 - Repeat 1 & 2
6 - View the transactions tab. The writeoff shows item details
7 - Confirm 'Writeoff amount' and 'Writeoff selected' still work and do not link to item

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2021-04-15 13:41:14 UTC
Trivial fix, works as expected.. Signing off
Comment 4 Martin Renvoize 2021-04-15 13:41:42 UTC
Going straight for QA on this one.. it's super clear and fixes a regression.

Passing QA
Comment 5 Jonathan Druart 2021-04-16 10:30:36 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-04-22 14:01:29 UTC
Pushed to 20.11.x for 20.11.05
Comment 7 Andrew Fuerste-Henry 2021-04-25 16:09:25 UTC
Pushed to 20.05.x for 20.05.11
Comment 8 Victor Grousset/tuxayo 2021-04-25 20:42:52 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.